Jump to content

    
Sign in to follow this  
CaPpuCcino

Выбор дистрибутива Linux для работы с Ментором и Ксайлинксом

Recommended Posts

Задумался поставить Linux для работы с продуктами Ментора и Ксайлинкса, но не знаю какой дистрибутив хорошо стыкуется с програмными продуктами этих производителей. У ментора большинство програмок поддерживаются для RHEL, но этот дистрибутив платный, будут ли програмки также хорошо себя чувствовать (а главное я при их установке) под его родным братом Fedora/или клонами типа CentOS, Scientific Linux / (или лучше просить у кладовщиков RHEL)? Является ли установка 64-битной версии Линуха абсолютным благом?

Спасибо

Share this post


Link to post
Share on other sites

64-битный лучше ставить только в том случае, если все используемые cad'ы 64-битные, в них заявлена совместимость с данным 64x дистром и конкретно известен выигрыш от применения 64-битности в данном cad'е - в противном случае будут траблы при эмуляции 64->32 : (напр. mentor использует java при инсталляции и апдейтах - какого-то рожна он хочет именно 32-битный вариант jre, при наличии в системе 64-битного), также необходимо будет иметь полный набор всех 32-битных runtime libs - т.е. имеем систему в системе без никаких ощутимых выигрышей. Или выигрыш при переходе с 32x-cad на 64x-cad будет сомнительный, при гарантированном гембеле и стоимости железа. Как-то потратил время, перенеся под bluewhite64 нужные пакеты - а потом грохнул все это за ненадобностью. 64 бита для 99% разработчиков ПО - неисследованная область со всеми вытекающими, они многоядерность не успели еще освоить, а тут новая напасть ;) А уж если вздумается не дай Бог использовать данную тачку как desktop, то бум иметь еще ряд вопросов с принципиальным отсутствием нужных 64x плагинов для самых распространенных программ (for ex. adobe flash plugin for firefox-64x) - токмо через всякие wrapper'ы, например для firefox это nspluginwrapper, а если для нужного приложения wrapper'а не окажется ?

Share this post


Link to post
Share on other sites

Причина использования 64-х битной версии может быть только одна: проект не помещается в память. Особенно актуально при моделировании больших IC на вентильном уровне. При 32-х битах максимальный размер процесса в Windows - 2 гига, а в Linux - 3 гига. При 64-битах - точные значения не помню, но на порядок больше. Слышал о примерах до 15 гигов. НО!!!! Производительность 64-битной машины будет НИЖЕ ИЛИ РАВНА аналогичной 32-х битной.

 

 

По поводу дистрибутива. У меня ASPLinux. Плохой, глючный, неудобный, но менять не собираюсь по следующим причинам:

1. основан на fedora, т.е. это почти redhat

2. относительно "распространён" в продаже и минимальная версия Express Edition с недельной поддержкой стоит порядка 350 рублей (поддержкой ни разу не пользовался)

3.работаю с ним около 2-лет. Ставил почти все менторовские поделки, всех направлений: ic, pcb, verification и т.д. В большинстве случаев софтины ругаются на то что unnown os, но работают. Реальные проблемы возникают только при компиляции и моделировании SystemC. Иногда проблема решается переменной MTI_BYPASS_SC_PLATFORM_CHECK=1 (чтобы компилятор не проверял версию OS), иногда нет.

 

Вывод: хотите без геморроя работать, лучше ставить рекомендуемую версию RHEL. На худой конец берите любой дистр. основанный на фидоре, только обязательно подбирайте нужную версию.

 

 

 

Да, забыл сказать, что xilinx, работает тоже без проблем, по крайней мере те его модули что вызываются из пресижена.

Share this post


Link to post
Share on other sites

спасибо, более-менее прояснилось :) тогда 64 пока фтопку

а чтобы избежать проблем совместимости попробую Scientific Linux. говорят что он равет RHEL, только без поддержки

:a14:

Share this post


Link to post
Share on other sites

x86 линух нормально держит до 64GB ОЗУ (слегка тормознутый highmem) - но без специально заточенных под эту технологию приложений - выигрыша действительно не будет, так как все утыкается в elf32, тут уж действительно или numa или x86_64 ;)

Share this post


Link to post
Share on other sites

Дистрибутивы Slackware и Debian Etch.

Работал c ISE 8-9 и Modelsim'ом 6.2. Все работает нормально.

Были проблемы при установке, в основном с дровами для USB platform cable для ISE, но победил.

А вообще правильно люди говорят, если не хотите проблем - то только то, что поддерживает производитель, иначе проблемы будут и, кстати говоря, не всегда решаемые, по крайней мере легко.

Share this post


Link to post
Share on other sites

CaPpuCcino

 

использую Fedora7 x86_64 на Сore2Duo и ОЗУ 4Гиг (планировалось CentOS 5 64bit как бинарно-идентичная официально поддерживаемой RHEL дабы не иметь проблем с саппортом, но из-за нового железа пришлось ставить более новую систему)

список используемых САПР на этом железе:

ISЕ 9.2.03i 64bit

QиеstаSiм 6.3c 64bit

Sуnрlifу 9.0.1 (сколько бит не знаю, но работает зараза)

NСsiм & Sуnорsуs DC & etc..

полёт нормальный.

ЗЫЖ были правда некоторые трудности прикручивания специфической библиотеки для TCL (поддержка UDP-датаграмм), но установка интерпретатора TCL с activestate.com решила проблему.

 

 

 

Harbour & al1

пища

 

и вот тут еще очень хорошо расписано по отличию в _аппаратной_ архитектуре 32 vs 64bit: http://rm.pp.ru/info/amd64vsi386

Share this post


Link to post
Share on other sites

CaPpuCcino

 

если железо позволяет, то предпочтительнее конечно RHEL/CentOS

к Fedorе всеже есть нарекания по стабильности

 

текущая версия RHEL/CentOS - 5.1 , в данный момент идёт бета-тестирование версии 5.2

Share this post


Link to post
Share on other sites

CentOS 5.1 какой-то корявый. проги просто вылетают на пустом месте. таже мозилла работает, работает и ...нет ее) Eclipse до конца не закрывается, точнее java остается висеть после закрытия приложения.

Fedora 8 вроде нормально работает(без нареканий): mozilla/eclipse/quartus/questa.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this